树莓派unifi controller升级问题

前段时间在树莓派上安装 unifi controller一直安装不上,后来论坛有人建议用docker安装。
安装使用了一段时间,前些天突然整个rasbian系统都挂了,也不知道是哪边的问题,感觉docker总不如原生的好。
后来找来找去找到了 unifipi 这个网站,目前是 1.5版本。全配置好的,刷入SD卡后启动就能使用unifi controller。
但版本是 5.8.30 ,每次启动都提示升级,然后就升了,结果一升级到5.10就启动不了 unifi controller.
查看了一下top ,发现在5.8.30的时候, unifi的进程后面显示的是 java,但升级到5.10的时候后面显示的就是 jsvc,不知道是不是和java版本有关。
试了各种办法无效,只能默默又用回 5.8.30

我用rpi裝的unifi, 很好用呀, 我記得java要用8,
我之前跟著这个裝就可以了, 更新用推送版就可以了 sudo apt-get update / upgrade,
就是beta版我不懂怎么裝, 之前我試著裝但一大推問題, 不懂linux搞不了
https://www.jkg.tw/?p=596

那个帖子我也看过,照他那样安装,最后就是不行。我最开始的时候就是照那样装的。到最后,看到端口都打开了,进程也有,但控制器页面死活打不开。

LZ:5.10开始Unifi都是用的JAVA 8 64位的了,请注意更新JAVA版本;

可是raspbian 自带的就是java8 呀2345截图20190430211949.jpg

这我就不了解啦,但正常说,apt update/upgrade 应该能找取到相关联的套件一併更新才是, 难道你的源缺失了?

源肯定没有问题,修改成国内的源了。我已经试了2次了,一次是单独更新unifi,另一次所有的包都更新,两次的结果都是一样的,启动不起来。我在怀疑是不是unifi controller 5.10和5.8所需要的环境不一样?因为看以前的贴子,在rasbian上安装unifi controller很简单,但我初次安装的时候就是5.10,一直安装上后启动不了。

终于自己解决了,原来unifi controller升级到5.10后需要的环境变了,raspbian需要安装JAVA JDK才可以。2345截图20190504215820.jpg

我看我的java好像跟以前是一样的, 不过装到就好
ubnt.png

你好,你是树莓派直接安装unifi controller的吗?
前期我按照网上的攻略安装一直不成功,后来改成docker安装使用了一段时间,后来突然就连raspbian都挂了进不了。我才重新折腾unifipi这个。

浪子韩柏 发表于 2019-5-5 13:46
你好,你是树莓派直接安装unifi controller的吗?
前期我按照网上的攻略安装一直不成功,后来改成docker …

对呀,我直接安装的,之前折腾过几次,都没问题,有时搞坏了,apt-get remove 后再install又好了

我放弃了 。树莓派用了一段时间 各种问题都有。
花钱。买享受 …哈哈哈

我尝试过很多,比如 直接安装官方的 deb 。各种一键安装教程。都不行。5.10的经验是 下载 2019最新4月的树莓派系统。然后
https://lazyadmin.nl/home-network/installing-unifi-controller-on-a-raspberry-pi-in-5-min/


1
sudo apt-get update && sudo apt-get upgrade -y && sudo apt-get autoremove && sudo apt-get autoclean

这里 开始 安装。前面都是 简化系统的我个人认为没必要。

这里直接跳过。没必要
Split memory
If you run the Raspberry Pi without a monitor connected you can safely reduce the amount of ram used by the GPU. By default, the Pi has assigned 64MB RAM to the GPU. Because we are using CLI (Command Line Interface) to work on the Pi, we can reduce that amount for RAM, leaving more RAM available for the Pi self.

unifi ac官方支持最好是在debian 和 ubuntu 系统,我觉得大可以在树莓派上安装ubuntu系统,然后再安装unifi ac,这样unifi ac 的运行环境就最完整了。

树莓派一般都是用raspbian,基于debian
跟着官方说明容易装的,UCK挂了,昨天才装完一个正在用呢,5.11.50.0

作为用过UCK的过来人,UCK自身的问题不少,还真不怎么算享受,举两个

1.自身空间不够,数据库满了就会自己挂了,TF卡有空间却不去使用,N个版本后才加上TF卡空间用来做自动备份配置。
解决:
每次修改后备份配置,发现挂了后立马恢复出厂,还原配置文件。
当然,也有修改数据库文件到TF的野路子,貌似每次升级后都要改一次,比较麻烦

2.丢权限,密码对却登陆不上,随机出现,一直没根治。
解决:
用正确的密码SSH进去,输入命令手动修正,论坛有教程。
如果不行,还是要恢复出厂再还原配置文件

反正,用UCK最重要就是备份配置,二代估计改善很多了吧